function FileData_Pairs(x)
{
x.t("supports","messaging");
x.t("active","messages");
x.t("creation","delivery");
x.t("receiver","message");
x.t("placed","queue");
x.t("available","subscriber");
x.t("available","message");
x.t("exist","topic");
x.t("reduction","bandwidth");
x.t("ever","consume");
x.t("receives","message");
x.t("receives","multicast");
x.t("publisher","consumer");
x.t("publisher","received");
x.t("simultaneously","publish");
x.t("scalable","reduction");
x.t("delivery","jms");
x.t("delivery","messages");
x.t("delivery","subscribers");
x.t("delivery","correct");
x.t("enterprise-class","functionality");
x.t("sending","server");
x.t("create","durable");
x.t("currently","running");
x.t("topic","until");
x.t("topic","type");
x.t("topic","subscriber");
x.t("topic","ems");
x.t("topic","delivered");
x.t("topic","instead");
x.t("topic","message");
x.t("topic","received");
x.t("topic","model");
x.t("topic","subscribed");
x.t("topic","durable");
x.t("uses","queue");
x.t("until","message");
x.t("until","received");
x.t("until","storage");
x.t("highly","scalable");
x.t("type","message");
x.t("time","message");
x.t("acknowledgement","message");
x.t("multiple","receivers");
x.t("multiple","subscribed");
x.t("regardless","whether");
x.t("subscriber","available");
x.t("subscriber","tcp");
x.t("subscriber","creating");
x.t("subscriber","messages");
x.t("subscriber","receive");
x.t("subscriber","publishers");
x.t("subscriptions","stored");
x.t("however","ems");
x.t("however","multicast");
x.t("structured","data");
x.t("rendezvous","tibco");
x.t("queue","queue");
x.t("queue","exclusive");
x.t("queue","sends");
x.t("queue","store");
x.t("queue","configured");
x.t("queue","acknowledges");
x.t("queue","messages");
x.t("queue","consumer");
x.t("queue","message");
x.t("queue","figure");
x.t("queue","non-exclusive");
x.t("subscribes","topic");
x.t("subscribes","multicast-enabled");
x.t("default","subscribers");
x.t("apis","allow");
x.t("jms","supports");
x.t("jms","message");
x.t("jms","based");
x.t("fault-tolerance","message");
x.t("retrieved","first");
x.t("want","application");
x.t("single","publisher");
x.t("details","create");
x.t("publish","topic");
x.t("publish","subscribe");
x.t("restarts","recreates");
x.t("ems","apis");
x.t("ems","client");
x.t("ems","server");
x.t("(pgm)","daemon");
x.t("machine","subscribed");
x.t("subscribe","publish");
x.t("subscribe","messages");
x.t("subscribe","message");
x.t("subscribe","messaging");
x.t("subscribe","topics");
x.t("subscribe","(topics)");
x.t("network","received");
x.t("overview","jms");
x.t("tcp","however");
x.t("exclusive","queue");
x.t("exclusive","desired");
x.t("exclusive","queues");
x.t("exclusive","number");
x.t("exclusive","consumer");
x.t("desired","queue");
x.t("specified","queue");
x.t("queues","useful");
x.t("receipt","message");
x.t("delivered","application");
x.t("delivered","durable");
x.t("pragmatic","general");
x.t("daemon","running");
x.t("guarantee","message");
x.t("functionality","fault-tolerance");
x.t("(queues)","publish");
x.t("stored","server");
x.t("creating","message");
x.t("communication","messaging");
x.t("addresses","message");
x.t("clients","figure");
x.t("limit","reached");
x.t("daemons","receive");
x.t("provides","enterprise-class");
x.t("illustrates","publish");
x.t("illustrates","multicast");
x.t("illustrates","application");
x.t("illustrates","point-to-point");
x.t("useful","want");
x.t("useful","balancing");
x.t("receivers","regardless");
x.t("receivers","retrieve");
x.t("reduced","ems");
x.t("sends","acknowledgement");
x.t("sends","message");
x.t("sends","creator");
x.t("destination","server");
x.t("address","messages");
x.t("television","signals");
x.t("originally","delivered");
x.t("recreates","durable");
x.t("allows","message");
x.t("allow","create");
x.t("expiration","time");
x.t("receiving","message");
x.t("store","messages");
x.t("retrieves","messages");
x.t("signals","broadcast");
x.t("configured","exclusive");
x.t("acts","intermediary");
x.t("acknowledges","receipt");
x.t("messages","active");
x.t("messages","topic");
x.t("messages","until");
x.t("messages","structured");
x.t("messages","queue");
x.t("messages","retrieved");
x.t("messages","publish");
x.t("messages","ems");
x.t("messages","stored");
x.t("messages","reduced");
x.t("messages","messages");
x.t("messages","arrive");
x.t("messages","specific");
x.t("messages","information");
x.t("messages","received");
x.t("messages","published");
x.t("messages","across");
x.t("messages","sent");
x.t("messages","durable");
x.t("first","consumer");
x.t("long","durable");
x.t("number","receivers");
x.t("delivering","copy");
x.t("retrieve","messages");
x.t("chapter","overview");
x.t("chapter","using");
x.t("different","application");
x.t("receive","messages");
x.t("receive","message");
x.t("receive","figure");
x.t("balancing","load");
x.t("whether","queue");
x.t("instead","delivering");
x.t("arrive","topic");
x.t("subscription","even");
x.t("client","receives");
x.t("producer","receiver");
x.t("producer","addresses");
x.t("producer","sends");
x.t("producer","consumer");
x.t("producer","known");
x.t("producer","send");
x.t("consumer","ever");
x.t("consumer","receives");
x.t("consumer","currently");
x.t("consumer","subscribes");
x.t("consumer","details");
x.t("consumer","specified");
x.t("consumer","retrieves");
x.t("consumer","retrieve");
x.t("consumer","receive");
x.t("consumer","tibco");
x.t("consumer","known");
x.t("consumer","multicast");
x.t("consumer","per");
x.t("message","placed");
x.t("message","sending");
x.t("message","delivery");
x.t("message","topic");
x.t("message","multiple");
x.t("message","queue");
x.t("message","single");
x.t("message","pragmatic");
x.t("message","originally");
x.t("message","expiration");
x.t("message","producer");
x.t("message","consumer");
x.t("message","known");
x.t("message","message");
x.t("message","listening");
x.t("message","taken");
x.t("message","figure");
x.t("message","deliver");
x.t("message","models");
x.t("message","manages");
x.t("message","received");
x.t("message","routing");
x.t("message","published");
x.t("message","protocol");
x.t("message","reached");
x.t("message","style");
x.t("message","system");
x.t("message","individual");
x.t("message","delivers");
x.t("message","sent");
x.t("known","publisher");
x.t("known","subscriber");
x.t("known","producer");
x.t("known","consumer");
x.t("known","broadcast");
x.t("tibco","rendezvous");
x.t("tibco","ems");
x.t("tibco","software");
x.t("tibco","smartsockets");
x.t("intermediary","message");
x.t("listening","multicast");
x.t("multicast","highly");
x.t("multicast","(pgm)");
x.t("multicast","guarantee");
x.t("multicast","daemons");
x.t("multicast","messages");
x.t("multicast","chapter");
x.t("multicast","message");
x.t("multicast","tibco");
x.t("multicast","multicast");
x.t("multicast","messaging");
x.t("multicast","(topics)");
x.t("ensure","messages");
x.t("taken","queue");
x.t("similar","radio");
x.t("running","machine");
x.t("running","messages");
x.t("figure","publish");
x.t("figure","illustrates");
x.t("figure","message");
x.t("figure","multicast");
x.t("figure","point-to-point");
x.t("send","messages");
x.t("send","message");
x.t("specific","queue");
x.t("subscribers","exist");
x.t("subscribers","topic");
x.t("subscribers","subscribe");
x.t("subscribers","receive");
x.t("subscribers","ensure");
x.t("subscribers","multicast");
x.t("subscribers","similar");
x.t("subscribers","figure");
x.t("subscribers","subscribers");
x.t("subscribers","topics");
x.t("broadcast","messages");
x.t("broadcast","messaging");
x.t("broadcast","received");
x.t("radio","television");
x.t("deliver","subscribed");
x.t("models","jms");
x.t("models","chapter");
x.t("models","message");
x.t("models","point-to-point");
x.t("manages","delivery");
x.t("systems","tibco");
x.t("data","application");
x.t("correct","destination");
x.t("messaging","uses");
x.t("messaging","allows");
x.t("messaging","messages");
x.t("messaging","producer");
x.t("messaging","message");
x.t("messaging","systems");
x.t("messaging","models");
x.t("messaging","model");
x.t("messaging","using");
x.t("information","multicast");
x.t("smartsockets","figure");
x.t("received","producer");
x.t("received","message");
x.t("received","figure");
x.t("received","subscribers");
x.t("received","interested");
x.t("received","even");
x.t("interested","subscribers");
x.t("application","restarts");
x.t("application","sends");
x.t("application","receiving");
x.t("application","receive");
x.t("application","producing");
x.t("routing","communication");
x.t("non-exclusive","queue");
x.t("non-exclusive","queues");
x.t("published","topic");
x.t("topics","default");
x.t("topics","messages");
x.t("protocol","known");
x.t("based","creation");
x.t("copy","message");
x.t("creator","message");
x.t("incoming","messages");
x.t("reached","topic");
x.t("reached","until");
x.t("style","messaging");
x.t("system","producers");
x.t("model","producer");
x.t("model","message");
x.t("storage","limit");
x.t("individual","subscriber");
x.t("used","however");
x.t("used","broadcast");
x.t("using","multicast");
x.t("using","non-exclusive");
x.t("general","multicast");
x.t("multicast-enabled","topic");
x.t("per","message");
x.t("across","multiple");
x.t("producers","address");
x.t("consumers","simultaneously");
x.t("consumers","receive");
x.t("load","incoming");
x.t("point-to-point","(queues)");
x.t("point-to-point","messages");
x.t("point-to-point","messaging");
x.t("point-to-point","point-to-point");
x.t("publishers","publish");
x.t("bandwidth","used");
x.t("consume","message");
x.t("sent","topic");
x.t("sent","network");
x.t("subscribed","ems");
x.t("subscribed","clients");
x.t("subscribed","consumers");
x.t("even","subscriber");
x.t("even","message");
x.t("broadcasts","message");
x.t("delivers","message");
x.t("server","topic");
x.t("server","provides");
x.t("server","acts");
x.t("server","long");
x.t("server","different");
x.t("server","broadcasts");
x.t("server","resources");
x.t("producing","message");
x.t("(topics)","multicast");
x.t("(topics)","point-to-point");
x.t("durable","subscriptions");
x.t("durable","subscriber");
x.t("durable","subscription");
x.t("durable","subscribers");
x.t("resources","used");
}
